<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XCcdFeatureConfig StructType
 * @subpackage Structs
 */
class XCcdFeatureConfig extends AbstractStructBase
{
    /**
     * The ccdParamName
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $ccdParamName;
    /**
     * The ccdParamValue
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $ccdParamValue;
    /**
     * Constructor method for XCcdFeatureConfig
     * @uses XCcdFeatureConfig::setCcdParamName()
     * @uses XCcdFeatureConfig::setCcdParamValue()
     * @param string $ccdParamName
     * @param string $ccdParamValue
     */
    public function __construct($ccdParamName = null, $ccdParamValue = null)
    {
        $this
            ->setCcdParamName($ccdParamName)
            ->setCcdParamValue($ccdParamValue);
    }
    /**
     * Get ccdParamName value
     * @return string
     */
    public function getCcdParamName()
    {
        return $this->ccdParamName;
    }
    /**
     * Set ccdParamName value
     * @param string $ccdParamName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XCcdFeatureConfig
     */
    public function setCcdParamName($ccdParamName = null)
    {
        $this->ccdParamName = $ccdParamName;
        return $this;
    }
    /**
     * Get ccdParamValue value
     * @return string
     */
    public function getCcdParamValue()
    {
        return $this->ccdParamValue;
    }
    /**
     * Set ccdParamValue value
     * @param string $ccdParamValue
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XCcdFeatureConfig
     */
    public function setCcdParamValue($ccdParamValue = null)
    {
        $this->ccdParamValue = $ccdParamValue;
        return $this;
    }
}
